Bug 798679 - katello command-line help screens should unify the examples provided
katello command-line help screens should unify the examples provided
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
6.0.0
x86_64 Linux
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Miroslav Suchý
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 09:57 EST by Forrest Taylor
Modified: 2014-01-27 08:34 EST (History)
2 users (show)

See Also:
Fixed In Version: katello-cli-1.1.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:11:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Forrest Taylor 2012-02-29 09:57:29 EST
All katello help screens in the CLI should show consistent names.  For
instance, organization name should always show ACME_Corporation as the
example.

For instance, `katello package list -h` shows:
  --org=ORG          organization name eg: foo.example.com
  --product=PRODUCT  product name eg: fedora-14

It should read:
  --org=ORG          organization name eg: ACME_Corporation (required)
  --product=PRODUCT  product name eg: "Red Hat Enterprise Linux Server" (required)

See bug#798675 for information on the (required) addition.

If we provide examples, we should be consistent in providing the following:

product: "Red Hat Enterprise Linux Server"
provider: "Red Hat"
org: ACME_Corporation
Comment 1 Miroslav Suchý 2012-08-22 06:55:28 EDT
taking
Comment 2 Miroslav Suchý 2012-08-24 05:42:37 EDT
unified product, org and additionally --environment

--provider is used only twice and seem consistent to me.

https://github.com/Katello/katello/pull/506
Comment 3 Miroslav Suchý 2012-08-24 15:49:09 EDT
Commited to katello.git as:
*   c4d932d (origin/master, origin/HEAD) Merge pull request #506 from xsuchy/pull-req-bz798679
|\  
| * 85bafb2 (fork/pull-req-bz798679, pull-req-bz798679) 798679 - be consistent with --environment option help
| * 91c1429 798679 - be consistent with --org option help
| * ccb4a4c 798679 - remove duplicate code handling --product option
| * 18334e9 798679 - be consistent with --product option help
Comment 4 Mike McCune 2013-09-19 14:11:25 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.